Package org.gradle.api.artifacts

# Interface ComponentMetadata

All Known Subinterfaces:
  `ComponentMetadataDetails`

@Incubating public interface ComponentMetadata
Provides a read-only view of a resolved component's metadata, which typically originates from a component descriptor (Ivy file, Maven POM).

## Method Summary

Modifier and Type
Method
Description
`ModuleVersionIdentifier`
`getId()`
Returns the identifier of the component.
`String`
`getStatus()`
Returns the status of the component.
`List<String>`
`getStatusScheme()`
Returns the status scheme of the component.
`boolean`
`isChanging()`
Tells whether the component is changing or immutable.

## Method Details

### getId

ModuleVersionIdentifier getId()
Returns the identifier of the component.

Returns:
  the identifier of the component.

### isChanging

boolean isChanging()
Tells whether the component is changing or immutable.

Returns:
  whether the component is changing or immutable.

### getStatus

String getStatus()
Returns the status of the component. Must match one of the values in `getStatusScheme()`.

Returns:
  the status of the component

### getStatusScheme

List<String> getStatusScheme()
Returns the status scheme of the component. Values are ordered from least to most mature status. Defaults to `["integration", "milestone", "release"]`.

Returns:
  the status scheme of the component